Bug 104057 - USB memory stick copy causes server to freeze
USB memory stick copy causes server to freeze
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-09 10:54 EDT by Alan Bradley
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan Bradley 2003-09-09 10:54:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
I presume the problem is with the USB utils.  If I put a "memory stick" into 
the USB port, mount it and copy a file to it the server freezes.  It loses all 
contact with the network and keyboard, etc.  The only solution is to reboot 
the server.  *** This only seems to happen with memory sticks bigger than 
16MB.  If I use a 16MB memory stick it works with no problem. ***

Version-Release number of selected component (if applicable):
libusb-0.1.5-3  and  usbutils-0.9-5

How reproducible:
Always

Steps to Reproduce:
1. Insert USB memory stick and mount it
2. Copy a file > 20MB to it
3. Server Freezes
    

Actual Results:  Server Freezes and will not respond via keyboard or network.

Expected Results:  File should have been copied to memory stick.

Additional info:

The server is an IBM netfinity with 4 x 1.7Ghz CPU's and 8GB RAM.
It is running a +/- 40GB Oracle database.
Comment 1 Bugzilla owner 2004-09-30 11:41:31 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.